%define oname qscintilla2
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Name: qscintilla2-compat
Version: 2.3
Release: alt1
License: GPL
Group: Development/KDE and QT
Source: qscintilla-gpl-%version.tar.gz
Patch: qscintilla-2.2-alt-allinone.patch

Packager: Boris Savelev <boris@altlinux.org>
Url: http://www.riverbankcomputing.co.uk/software/qscintilla/

# Automatically added by buildreq on Sun Oct 12 2008
BuildRequires: gcc-c++ libqt3-devel libqt4-devel

%description
Qscintilla is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product. As well as features found in standard text editing components,
Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code
completion and call tips. The selection margin can contain markers like those
used in debuggers to indicate breakpoints and the current line. Styling
choices are more open than with many editors, allowing the use of proportional
fonts, bold and italics, multiple foreground and background colours and
multiple fonts.

%package -n lib%oname-qt3-compat
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. e
Group: Development/KDE and QT
Conflicts: libqscintilla

%description -n lib%oname-qt3-compat
Qscintilla is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product. As well as features found in standard text editing components,
Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code
completion and call tips. The selection margin can contain markers like those
used in debuggers to indicate breakpoints and the current line. Styling
choices are more open than with many editors, allowing the use of proportional
fonts, bold and italics, multiple foreground and background colours and
multiple fonts.

%package -n lib%oname-qt4-compat
Summary: QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class. e
Group: Development/KDE and QT

%description -n lib%oname-qt4-compat
Qscintilla is a free source code editing component. It comes with complete
source code and a license that permits use in any free project or commercial
product. As well as features found in standard text editing components,
Scintilla includes features especially useful when editing and debugging
source code. These include support for syntax styling, error indicators, code
completion and call tips. The selection margin can contain markers like those
used in debuggers to indicate breakpoints and the current line. Styling
choices are more open than with many editors, allowing the use of proportional
fonts, bold and italics, multiple foreground and background colours and
multiple fonts.

%prep
%setup -n QScintilla-gpl-%version
%patch0 -p1

%build
# Qt3
pushd Qt3
qmake-qt3 qscintilla.pro
%make_build
popd

# Qt4
pushd Qt4
qmake-qt4 qscintilla.pro
%make_build
popd

%install
mkdir -p %buildroot%python_sitelibdir/PyQt4
mkdir -p %buildroot%_includedir/qt4/Qsci
mkdir -p %buildroot%_qt3dir/include/Qsci
mkdir -p %buildroot%_libdir/{qt3,qt4}/{lib,translations,plugins/designer}
mkdir -p %buildroot%_datadir/sip/qsci
mkdir -p %buildroot%_datadir/{qt3,qt4}/qsci/api/python

# Qt3 library
install Qt3/lib%oname.so.*.*.* %buildroot%_qt3dir/lib
install Qt3/*.qm %buildroot%_qt3dir/translations
pushd %buildroot%_qt3dir/lib
ln -s lib%oname.so.*.*.* `ls lib%oname.so.*.*.* | sed s/\.[0-9]$//`
ln -s lib%oname.so.*.*.* `ls lib%oname.so.*.*.* | sed s/\.[0-9]\.[0-9]$//`
ln -s lib%oname.so.*.*.* `ls lib%oname.so.*.*.* | sed s/\.[0-9]\.[0-9]\.[0-9]$//`
popd

# Qt4 library
install Qt4/lib%oname.so.*.*.* %buildroot%_libdir
install Qt4/*.qm %buildroot%_qt4dir/translations
pushd %buildroot%_libdir
ln -s lib%oname.so.*.*.* `ls lib%oname.so.*.*.* | sed s/\.[0-9]$//`
ln -s lib%oname.so.*.*.* `ls lib%oname.so.*.*.* | sed s/\.[0-9]\.[0-9]$//`
ln -s lib%oname.so.*.*.* `ls lib%oname.so.*.*.* | sed s/\.[0-9]\.[0-9]\.[0-9]$//`
popd
pushd %buildroot%_qt4dir/lib
for libname in ../../lib%oname.*; do
ln -s $libname ./
done
popd

%files -n lib%oname-qt3-compat
%_qt3dir/lib/*.so.*
%_qt3dir/translations/*

%files -n lib%oname-qt4-compat
%_qt4dir/lib/*.so.*
%_libdir/*.so.*
%_qt4dir/translations/*

%changelog
* Tue Dec 16 2008 Boris Savelev <boris@altlinux.org> 2.3-alt1
- build old lib%oname-qt3 and lib%oname-qt4 with -compat name
